<?php 
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

class MVC {

	function getList(&$params) {
		$db	=& JFactory::getDBO();
		$source_sec	= $params->get('source_sec');
		$source_cat	= $params->get('source_cat');
		$show_all = $params->get('show_all');
		$count = $params->get('count');
		
		
		if($show_all == 0){
			$where = 'sectionid='.$source_sec.' AND catid='.$source_cat.' AND ';
		}else{
			$where = '';
		}
		//         ,
		//      .
		$query = 'SELECT a.*, s.title as stitle, c.title as ctitle, u.name, ' .
			' CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,'.
			' CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(":", c.id, c.alias) ELSE c.id END as catslug'.
			' FROM #__content AS a' .
			' LEFT JOIN #__users AS u ON u.id = a.created_by' .
			' INNER JOIN #__categories AS c ON c.id = a.catid' .
			' INNER JOIN #__sections AS s ON s.id = a.sectionid' .
			' WHERE '.$where.
			' s.published = 1' .
			' AND c.published = 1' .
			' ORDER BY id DESC';
			
		// 
		//       
		if($count == ''){
			$db->setQuery($query);
		}else{
			$db->setQuery($query, 0, $count);
		}
		//   
		$rows = $db->loadObjectList();
		
		$i=0;
		$lists	= array();
		foreach ($rows as $row) {
			// 
			$lists[$i]->link = JRoute::_(ContentHelperRoute::getArticleRoute($row->slug, $row->catslug, $row->sectionid));
			// 
			$text = strtolower($row->introtext.$row->fulltext);
			$regex	= "/<img[^>]+src\s*=\s*[\"']\/?([^\"']+)[\"'][^>]*\>/";// 
			preg_match ($regex, $text, $matches);
			$images	= (count($matches)) ? $matches : array();
			if ($images) {
				$lists[$i]->image	= '<img align="left" src="'.$images[1].'" alt="thumbs" class="thumbs" />';
				$lists[$i]->image = '<a href="'. $lists[$i]->link .'">'.$lists[$i]->image.'</a>';
			}
			// 
			$lists[$i]->introtext = strip_tags($row->introtext);
			$i++;
		}
	//  
	return $lists;
	}
	
}

?>